/* 
Theme Name: Mentelocale
Description: Mentelocale is a child theme of Hello Elementor, created by Elementor team
Author: webCircus - Niccolò Bellicchi web designer
Author URI: https://www.webcircus.it/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/


/* Lenis */
html {
  scroll-behavior: auto !important;
}
html.lenis,
html.lenis body {
  height: auto;
}

.lenis:not(.lenis-autoToggle).lenis-stopped {
  overflow: clip;
}

.lenis [data-lenis-prevent],
.lenis [data-lenis-prevent-wheel],
.lenis [data-lenis-prevent-touch] {
  overscroll-behavior: contain;
}

.lenis.lenis-smooth iframe {
  pointer-events: none;
}

.lenis.lenis-autoToggle {
  transition-property: overflow;
  transition-duration: 1ms;
  transition-behavior: allow-discrete;
}

/* Preload */
body.preload-active {
  overflow: hidden;
}
#preloader {
  position: fixed;
  inset: 0;
  background: var(--e-global-color-primary);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999999;
  overflow: hidden;
}

.preloader-inner {
  text-align: center;
  width: 100%;
}

.words {
  font-size: 2.2rem;
  font-family: "Cormorant", Sans-serif;
  line-height: 1.4;
  text-transform: uppercase;
  height: 120px;
  overflow: hidden;
  position: relative;
  color: white;
}

.words .word {
  opacity: 0;
  position: absolute;
  left: 0;
  right: 0;
  width: auto;
}

.logo {
  opacity: 0;
}
.logo img{
  width: 100px;
  height: auto;
}

/* banner cookie */
.preload-active .wcc-consent-container{
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
}
.elementor-kit-7 .wcc-btn{
	font-size: 14px;
	letter-spacing: 0px;
	padding: 8px;
}

/* Header */
#site-header{
	padding-block-start: 0;
}
#site-header .custom-logo{
	border-radius: 0;
}
#site-header .site-navigation ul li a{
	text-decoration: none;
}


/* Hero */
#hero-title .elementor-heading-title > div:first-child{
	text-indent: 1.3em;
}
#hero-title .elementor-heading-title > div:nth-child(2){
	font-style: italic;
}
#hero-title .word {
  display: inline-block;
  overflow: hidden;
  position: relative;
}

/* Overlap Gallery */
.gallery-overlap {
  position: relative;
}
.gallery-overlap .gallery-overlap--item{
	position: sticky;
    top: 0;
    overflow: hidden;
	will-change: transform, filter;
}